import { EntityRepository, Repository } from "typeorm";
import { AboutPageOurMissionSectionCmsEntity } from "./entities/about-page-our-mission-section-cms.entity";
import { UpdateAboutPageOurMissionSectionCmsDto } from "./dto/update-about-page-our-mission-section-cms.dto";

@EntityRepository(AboutPageOurMissionSectionCmsEntity)
export class AboutPageOurMissionSectionCmsRepository extends Repository<AboutPageOurMissionSectionCmsEntity> {

    async createEntity(dto: UpdateAboutPageOurMissionSectionCmsDto): Promise<AboutPageOurMissionSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutPageOurMissionSectionCmsDto, id: string): Promise<AboutPageOurMissionSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageOurMissionSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}