import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdateHomePageInstagramSectionCmsDto } from "./dto/update-home-page-instagram-section-cms.dto";
import { HomePageInstagramSectionCmsService } from "./home-page-instagram-section-cms.service";

@Controller({path: "home-page-instagram-section-cms", version: Constants.API_VERSION_1})

export class HomePageInstagramSectionCmsController {
    constructor(private readonly service: HomePageInstagramSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateHomePageInstagramSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
