import { EntityRepository, Repository } from "typeorm";
import { PurchaseAndDeliveryPolicyCmsEntity } from "./entities/purchase-and-delivery-policy-cms.entity";
import { UpdatePurchaseAndDeliveryPolicyCmsDto } from "./dto/update-purchase-and-delivery-policy-cms.dto";

@EntityRepository(PurchaseAndDeliveryPolicyCmsEntity)
export class PurchaseAndDeliveryPolicyCmsRepository extends Repository<PurchaseAndDeliveryPolicyCmsEntity> {

    async createEntity(dto: UpdatePurchaseAndDeliveryPolicyCmsDto): Promise<PurchaseAndDeliveryPolicyCmsEntity | Error> {
        try {
            const entity = this.create({
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePurchaseAndDeliveryPolicyCmsDto, id: string): Promise<PurchaseAndDeliveryPolicyCmsEntity | Error> {
        try {
            await this.update(id, {
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PurchaseAndDeliveryPolicyCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}