import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { PurchaseAndDeliveryPolicyRepository } from "./purchase-and-delivery-policy.repository";
import { PurchaseAndDeliveryPolicyController } from "./purchase-and-delivery-policy.controller";
import { PurchaseAndDeliveryPolicyService } from "./purchase-and-delivery-policy.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PurchaseAndDeliveryPolicyRepository])
    ],
    controllers: [PurchaseAndDeliveryPolicyController],
    providers: [PurchaseAndDeliveryPolicyService, JwtHelper]
})
export class PurchaseAndDeliveryPolicyModule {}
