import { CoreEntity } from "src/core/core.entity";
import { AfterInsert, Column, Entity, JoinColumn, ManyToOne, getConnection } from "typeorm";
import { Order } from "../../order/entity/orders.entity";

@Entity('order_details')
export class OrderDetails extends CoreEntity {
    @Column()
    productId: string;

    @Column()
    name: string;

    @Column()
    customerId: string;

    @Column()
    orderId: string;

    @Column()
    featuredImage: string;

    @Column({ nullable: true })
    productColor: string;

    @Column()
    quantity: number;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0 })
    itemSubTotal: number;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0 })
    itemTotal: number;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0 })
    itemPrice: number;

    @ManyToOne(() => Order, { nullable: true })
    @JoinColumn({ name: 'orderId', referencedColumnName: "orderId" })
    order: Order[];

    @Column({ default: null, nullable: true })
    brandName: string;

    @AfterInsert()
    processInvoiceService() {
        // console.log("productId After Insert = ", this.productId);
        let sql = "CALL topProductCount('" + this.productId + "', " + this.quantity + ")";
        // console.log('sql = ', sql);
        getConnection().query(sql);

        // console.log("productId After Insert for maintain stock = ", this.productId);
        let sqlStock = "CALL reduceProductStockBySells('" + this.productId + "', " + this.quantity + ")";
        // console.log('sqlStock = ', sqlStock);
        getConnection().query(sqlStock);
    }
}
