import { EntityRepository, getConnection, getManager, Repository } from "typeorm";
import { CreateProductStockImportDto } from "./dto/create-product-stock-import.dto";
import { UpdateProductStockImportDto } from "./dto/update-product-stock-import.dto";
import { ProductStockImport } from "./entity/product-stock-import.entity";

@EntityRepository(ProductStockImport)
export class ProductStockImportRepository extends Repository<ProductStockImport> {

    async createEntity(
        dto: CreateProductStockImportDto
    ): Promise<ProductStockImport | Error> {
        try {
            const { StockID, ProductId, Name, Price, CurrentStock, NewStock, QuantityReorder, NewTotalStock, Weight, Color, Sku } = dto;
            const entity = this.create({ StockID, ProductId, Name, Price, CurrentStock, NewStock, QuantityReorder, NewTotalStock, Weight, Color, Sku });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<ProductStockImport[] | Error> {
        try {
            return await this.find({
                where: { ...query, isDeleted: false }
            });
        }
        catch (e) {
            return e;
        }
    }

    async findStockIdEntity(): Promise<any | Error> {
        const data = await this.find({
            select: ["StockID"]
        });
        return data;
    }
}